
QGIS Application - Bug report #18889

Clipping feature errors trying to clip raster file on Mac (QGIS 3.0.2)

2018-04-30 06:29 PM - Robert Catherman

Status: Open

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:3.7(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 26721

Description

When using feature RASTER > EXTRACTION > CLIP RASTER BY MASK LAYER

Mask is a vector file

QGIS fails with message  (tried on 2 difference Mac computers)

Processing algorithm…

AlgorithmDialog

Input parameters:{ 'ALPHA_BAND' : False, 'CROP_TO_CUTLINE' : True, 'DATA_TYPE' : 5, 'INPUT' : '/Users/Robert/Documents/GIS

Remote Sensing/Redmond/Landsat/LE07_L1TP_046027_20020611_20160929_01_T1_B3.TIF', 'KEEP_RESOLUTION' : False,

'MASK' : '/Users/Robert/Documents/GIS Remote Sensing/Redmond/StudyArea.shp', 'NODATA' : 0, 'OPTIONS' : '', 'OUTPUT' :

'/var/folders/k4/fy3tzlys3t1dz08rhr9s84d80000gn/T/processing_498c80ccddac4633b4288fcd7abccdf0/be39ce251c8f45289a648384448491b7/OUTPUT.tif' }

8491b7/OUTPUT.tif' }

GDAL command:

gdalwarp -ot Float32 -of GTiff -cutline "/Users/Robert/Documents/GIS Remote Sensing/Redmond/StudyArea.shp" -crop_to_cutline

"/Users/Robert/Documents/GIS Remote Sensing/Redmond/Landsat/LE07_L1TP_046027_20020611_20160929_01_T1_B3.TIF"

/var/folders/k4/fy3tzlys3t1dz08rhr9s84d80000gn/T/processing_498c80ccddac4633b4288fcd7abccdf0/be39ce251c8f45289a648384448491b7/OUTPUT.tif

491b7/OUTPUT.tif

GDAL command output:

/bin/sh: gdalwarp: command not found

Execution completed in 0.07 seconds

Results:{'OUTPUT': <QgsProcessingOutputLayerDefinition

{'sink':/var/folders/k4/fy3tzlys3t1dz08rhr9s84d80000gn/T/processing_498c80ccddac4633b4288fcd7abccdf0/be39ce251c8f45289a648384448491b7/OUTPUT.tif, 'createOptions': {'fileEncoding

84448491b7/OUTPUT.tif, 'createOptions': {'fileEncoding': 'System'}}>}

Loading resulting layers

The following layers were not correctly generated.

•   

/var/folders/k4/fy3tzlys3t1dz08rhr9s84d80000gn/T/processing_498c80ccddac4633b4288fcd7abccdf0/be39ce251c8f45289a648384448491b7/

491b7/OUTPUT.tif

You can check the 'Log Messages Panel' in QGIS main window to find more information about the execution of the algorithm.

FROM LOG MESSAGE PANEL

2018-04-30T09:22:12 INFO gdalwarp -ot Float32 -of GTiff -cutline "/Users/Robert/Documents/GIS Remote

Sensing/Redmond/StudyArea.shp" -crop_to_cutline "/Users/Robert/Documents/GIS Remote

Sensing/Redmond/Landsat/LE07_L1TP_046027_20020611_20160929_01_T1_B3.TIF"

/var/folders/k4/fy3tzlys3t1dz08rhr9s84d80000gn/T/processing_498c80ccddac4633b4288fcd7abccdf0/d1b6edf50f804cd9abf07bdae62c8ba6/OUTPUT.tif

8ba6/OUTPUT.tif
2018-04-30T09:22:12 INFO GDAL execution console output

/bin/sh: gdalwarp: command not found

History

#1 - 2019-04-04 11:16 AM - Jürgen Fischer

- Easy fix? set to No

- Regression? set to No

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to 3.7(master)

- Category changed from Any to Unknown

- Project changed from QGIS Redmine (QGIS bug tracker) to QGIS Application
